unit uMaterials;

interface
uses
  zglHeader;

procedure LoadMaterials;

var
  mName, mHow : zglPTexture;
  mPBT2,
  mPBT, mPBT1 : array[0..2] of zglPTexture;

  mFont_1 : zglPFont;

const
  c_Tile_W = 16;
  c_Tile_H = 16;
  cCountParticlesTypes = 2;

var

  mParticle : array[1..cCountParticlesTypes] of zglPTexture;
//
  m_btn_mm, m_btn_mm_g,
  mFail, mWin, 
  mAngleArea, mCat, mMar, mFish, mBox, mBomb, mLazer
  : zglPTexture;
implementation


procedure CalcCSizes;
var
  I : Integer;
begin
//  for I := 1 to cCountBonusSizes do
//    csBonusSizes[I] := sin(I * 5 * P180) * 8 + 8;
end;

procedure LoadMaterials;
var
  I : Integer;
begin
//  CalcCSizes;
  mName := tex_LoadFromFile('Data\Name.PNG');
  mFail := tex_LoadFromFile('Data\fail.PNG');
  mWin := tex_LoadFromFile('Data\win.PNG');
  mHow := tex_LoadFromFile('Data\how.PNG');
  mFont_1 := font_LoadFromFile('Data\font_1.zfi');
  {mPBT[1] := tex_LoadFromFile('Data\PBT.PNG');
  mPBT[2] := tex_LoadFromFile('Data\PBT_g.PNG');
  mPBT1[1] := tex_LoadFromFile('Data\PBT1.PNG');
  mPBT1[2] := tex_LoadFromFile('Data\PBT1_g.PNG');
  mPBT2[1] := tex_LoadFromFile('Data\PBT2.PNG');
  mPBT2[2] := tex_LoadFromFile('Data\PBT2_g.PNG');  }
//________________________________________________

 // tex_SetFrameSize(m_gunSh, 32, 32);


  mParticle[1] := tex_LoadFromFile('Data\particle1.PNG');
  mParticle[2] := tex_LoadFromFile('Data\particle2.PNG');

  tex_SetFrameSize(mParticle[1], 64, 64);
  tex_SetFrameSize(mParticle[2], 64, 64);
  {
  m_Sky := tex_LoadFromFile('Data\sky_m.PNG');
  tex_SetFrameSize(m_Sky, 512, 256);

  m_bg := tex_LoadFromFile('Data\bg.PNG');

  m_tile := tex_LoadFromFile('Data\mtile.png');
  tex_SetFrameSize(m_tile, 64, 64);  }


  mAngleArea := tex_LoadFromFile('Data\Angle.png');

  mCat := tex_LoadFromFile('Data\cat.png');
  tex_SetFrameSize(mCat, 32, 32);
  mMar := tex_LoadFromFile('Data\mar.png');
  tex_SetFrameSize(mMar, 64, 64);

  m_btn_mm := tex_LoadFromFile('Data\btn_mm.png');
  m_btn_mm_g := tex_LoadFromFile('Data\btn_mm_g.png');

  mFish := tex_LoadFromFile('Data\fish.png');

  mBox := tex_LoadFromFile('Data\box.png');
  mBomb := tex_LoadFromFile('Data\bomb.png');
  tex_SetFrameSize(mBomb, 8, 16);
  mLazer  := tex_LoadFromFile('Data\lazer.png');

end;

end.

